App\CoreBundle\Entity\SystemSetting:
  type: entity
  repositoryClass: App\CoreBundle\Repository\SystemSettingRepository
  table: system_setting
  id:
    id:
      type: string
      unique: true
      generator:
        strategy: CUSTOM
      customIdGenerator:
        class: Ramsey\Uuid\Doctrine\UuidGenerator
  fields:
    setting_name:
      type: string
      length: 255
    setting_system_name:
      type: string
      length: 255
    setting_value:
      type: string
      length: 255
    is_visible:
      type: boolean
      default: false
  manyToOne:
    system_setting_group:
      targetEntity: SystemSettingGroup
      inversedBy: system_setting
      joinColumn:
        name: system_setting_group_id
        referencedColumnName: id